/*
 * $Id$
 * Copyright (C) 2004-2007 SUGIMOTO Ken-ichi
 * 作成日: 2007/06/18
 */
package feat2.config;

import feat2.Response;
import feat2.config.type.ObjectRef;
import feat2.config.type.Scope;
import feat2.impl.BeanXMLResponse;

/**
 * beanxmlレスポンスの設定。
 * @author SUGIMOTO Ken-ichi
 */
public class BeanXMLConfig extends ResponseConfigBase {

    private Scope scope;
    private ObjectRef ref;


    public BeanXMLConfig() {
    }


    public ObjectRef getRef() {
        return ref;
    }
    public void setRef(ObjectRef attr) {
        this.ref = attr;
    }


    public Scope getScope() {
        return scope;
    }
    public void setScope(Scope scope) {
        this.scope = scope;
    }


    // Configのメソッド --------------------------------------------------------

    public String getElementName() {
        return "beanxml";
    }


    // ResponseConfigBaseのメソッド --------------------------------------------

    public Response getResponseInstance() {
        return new BeanXMLResponse(this);
    }



}
